## org.codehaus.groovy.grails.validation
Class NullableConstraint

    java.lang.Object
      org.codehaus.groovy.grails.validation.AbstractConstraint
          org.codehaus.groovy.grails.validation.AbstractVetoingConstraint
              org.codehaus.groovy.grails.validation.NullableConstraint

All Implemented Interfaces:
  Constraint, VetoingConstraint

     class NullableConstraint

extends AbstractVetoingConstraint

A Constraint that validates not equal to something

Since:
  0.4
Author:
  Graeme Rocher, Sergey Nebolsin

Field Summary

Fields inherited from class org.codehaus.groovy.grails.validation.AbstractConstraint
`classShortName, constraintOwningClass, constraintParameter, constraintPropertyName, messageSource`

Constructor Summary
`NullableConstraint()`

Method Summary
`String` `getName()`
`boolean` `isNullable()`
`protected boolean` `processValidateWithVetoing(Object target, Object propertyValue, Errors errors)`
`void` `setParameter(Object constraintParameter)` The parameter which the constraint is validated against
`protected boolean` `skipNullValues()`
`boolean` `supports(Class type)` Returns whether the constraint supports being applied against the specified type;

Methods inherited from class org.codehaus.groovy.grails.validation.AbstractVetoingConstraint
`processValidate, validateWithVetoing`

Methods inherited from class org.codehaus.groovy.grails.validation.AbstractConstraint
`checkState, getDefaultMessage, getPropertyName, rejectValue, rejectValue, rejectValue, rejectValue, rejectValue, rejectValueWithDefaultMessage, setMessageSource, setOwningClass, setPropertyName, skipBlankValues, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.grails.validation.Constraint
`getPropertyName, setMessageSource, setOwningClass, setPropertyName, validate`

Constructor Detail

### NullableConstraint

    NullableConstraint()

Method Detail

### isNullable

    public boolean isNullable()

### supports

    public boolean supports(Class type)

  Description copied from interface: `Constraint`
  Returns whether the constraint supports being applied against the specified type;

  Parameters:
    `type` - The type to support
  Returns:
    True if the constraint can be applied against the specified type

### setParameter

    public void setParameter(Object constraintParameter)

  Description copied from interface: `Constraint`
  The parameter which the constraint is validated against

  Specified by:
    `setParameter` in interface `Constraint`
  Overrides:
    `setParameter` in class `AbstractConstraint`
  Parameters:
    `constraintParameter` - The constraintParameter to set.

### getName

    public String getName()

  Returns:
    The name of the constraint

### skipNullValues

    protected boolean skipNullValues()

  Overrides:
    `skipNullValues` in class `AbstractConstraint`

### processValidateWithVetoing

    protected boolean processValidateWithVetoing(Object target,
                                                 Object propertyValue,
                                                 Errors errors)

  Specified by:
    `processValidateWithVetoing` in class `AbstractVetoingConstraint`

Copyright (c) 2005-2009 The Grails project